Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

15 Feb 1997 19:59:06 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Jeremy Allison <[email-masked]>
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Jeremy Allison wrote:
> 
> Jim Balter <[email-masked]> wrote :
> 
> > So when Jeremy Allison says "This allows you to use Cygwin32 and not share your
> > source (boo, hiss)", he is at the very least leaving a false impression.
> > The folks he is booing and hissing are the people that are his source
> > of income.
> 
> Well, yes. And your point is (other than implying I am 'at least
> leaving a false impression' something I would stongly deny) ?

I didn't "imply" it, I said it.  "What's your point, other than
the one you made?"  Well, gee, I dunno.
 
> Actually I make my income from porting Cygnus's Kerberos
> code to Windows NT, thanks very much.

If you work for Cygnus, you make your income from the entirety
of Cygnus' business activities.  That's a simple financial fact of
life.

> Yes, that's proprietary
> and we don't release under the GPL. I also happen to work on
> the Cygwin32 DLL which I don't consider proprietary as it *is*
> released under the GPL. Yes, Cygnus is going to sell it to
> commercial developers and allow them to buy out of the GPL.
> Yes, I don't much like folks who don't share their source.

So there's a bit of the whore in all of us.  When Stan Shebs
said that Cygnus has to tell their customers that they will still
deal with them even though RMS thinks they are evil, he didn't mention
that the Cygnus staff thinks they are evil too.  But if Cygnus really
truly doesn't like folks who hoard their source, then one must wonder
why they solicit them as customers and why they facilitate such
hoarding.  If not a false impression, it at least creates a certain
sort of ambiguity.  Cygnus has grown to $20M or so, I think Stan
said.  They did that with a customer base of code hoarders.
Even if you personally "don't much like" them, your company and their
marketing staff and the accountants seem to.  I'm not sure your
marketing staff would be happy to know that you are condemning
Cygnus' customers in a public forum.

> Everything I develop not directly for Cygnus I make available
> under the GPL. Can you say the same ?

I only sell my services; I've never sold code.  I do plan to
share quite a bit, now that I have some time to.

> Just because I sell to commercial software developers doesn't
> mean I have to share their ideals.

But it's a bit hypocritical to condemn those to whom you sell.

> Bottom line. Yes we are going to allow people to 'buy out of'
> the GPL. Yes, we will make the same source available to GPL
> developers because we like them. If you want to make money
> by using Cygwin32 and hiding your sources you're going to have
> to pay (explicit note for all the GPL-challenged, if you make
> money using Cygwin32 but don't hide your sources then you won't
> have to pay Cygnus a penny).

I've pointed that out several times.  I think it was Stan who had
to correct himself on that point.

> I think that's a pretty good deal,
> sorry you don't agree.

I've never said I don't agree.  I don't think you have read me
carefully.

> When you develop your own UNIX emulation
> library be sure to allow comercial developers to make money on
> it for free - I'll look forward to seing your source code.

That's what free software is all about.  My original question regarded
whether it is a viable strategy.  The word from Cygnus seems to be
that it isn't.  But if I do follow in Cygnus' footsteps, I won't
condemn my customers for doing that from which I am profiting.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".